From 3fb7b198bc32f372e0288c89a015de4f3587db7c Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 17 Aug 2022 14:29:01 +0200
Subject: [PATCH 6/7] meson: Make link order of external libraries match
 makefile order

---
 meson.build                       | 2 +-
 src/bin/pg_basebackup/meson.build | 2 +-
 src/bin/pg_rewind/meson.build     | 2 +-
 src/bin/pg_waldump/meson.build    | 2 +-
 4 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/meson.build b/meson.build
index 8833a16a3b..938c87d485 100644
--- a/meson.build
+++ b/meson.build
@@ -2492,10 +2492,10 @@ libpq_deps = [
   frontend_shlib_code,
   thread_dep,
 
+  ssl,
   gssapi,
   ldap,
   libintl,
-  ssl,
 ]
 
 subdir('src/interfaces/libpq')
diff --git a/src/bin/pg_basebackup/meson.build b/src/bin/pg_basebackup/meson.build
index 857e2b77d2..dcaae84b9a 100644
--- a/src/bin/pg_basebackup/meson.build
+++ b/src/bin/pg_basebackup/meson.build
@@ -10,7 +10,7 @@ common_sources = files(
   'walmethods.c',
 )
 
-pg_basebackup_deps = [frontend_code, libpq, lz4, zlib, zstd]
+pg_basebackup_deps = [frontend_code, libpq, zstd, lz4, zlib]
 pg_basebackup_common = static_library('libpg_basebackup_common',
   common_sources,
   dependencies: pg_basebackup_deps,
diff --git a/src/bin/pg_rewind/meson.build b/src/bin/pg_rewind/meson.build
index 40ae593e7c..bef4bafb4f 100644
--- a/src/bin/pg_rewind/meson.build
+++ b/src/bin/pg_rewind/meson.build
@@ -12,7 +12,7 @@ pg_rewind_sources = files(
 
 pg_rewind = executable('pg_rewind',
   pg_rewind_sources,
-  dependencies: [frontend_code, libpq, lz4, zstd],
+  dependencies: [frontend_code, libpq, zstd, lz4],
   kwargs: default_bin_args,
 )
 
diff --git a/src/bin/pg_waldump/meson.build b/src/bin/pg_waldump/meson.build
index e482006264..afa1a269c3 100644
--- a/src/bin/pg_waldump/meson.build
+++ b/src/bin/pg_waldump/meson.build
@@ -10,7 +10,7 @@ pg_waldump_sources += files('../../backend/access/transam/xlogstats.c')
 
 pg_waldump = executable('pg_waldump',
   pg_waldump_sources,
-  dependencies: [frontend_code, lz4, zstd],
+  dependencies: [frontend_code, zstd, lz4],
   kwargs: default_bin_args,
 )
 
-- 
2.37.1

